
<!DOCTYPE html>

<html lang="it">
  <head>
    <meta charset="utf-8" />
    <title>La documentazione tecnica con Sphinx &#8212; Introduzione a Sphinx 1.0.0 documentazione</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/language_data.js"></script>
    <script src="_static/translations.js"></script>
    <link rel="index" title="Indice" href="genindex.html" />
    <link rel="search" title="Cerca" href="search.html" />
    <link rel="next" title="Premessa" href="pagine/premessa.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <div class="section" id="la-documentazione-tecnica-con-sphinx">
<h1>La documentazione tecnica con Sphinx<a class="headerlink" href="#la-documentazione-tecnica-con-sphinx" title="Link a questa intestazione">¶</a></h1>
<p>In questa breve introduzione presenteremo <a class="reference external" href="https://www.sphinx-doc.org/en/master/index.html">Sphinx</a> che è un sistema per la
scrittura di documentazione tecnica scritto in linguaggio
<a class="reference external" href="https://www.python.org/">Python</a></p>
<img alt="_images/sphinxheader.png" src="_images/sphinxheader.png" />
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Contenuto:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="pagine/premessa.html">Premessa</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pagine/premessa.html#la-documentazione-tecnica">La documentazione tecnica</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/premessa.html#strumenti">Strumenti</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pagine/premessa.html#testo-semplice">Testo semplice</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/premessa.html#libreoffice-e-gli-altri">LibreOffice e gli altri</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/premessa.html#html-ed-il-web">Html ed il web</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/premessa.html#linguaggi-intermedi-markdown-e-rst">Linguaggi intermedi (Markdown e rst)</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/premessa.html#pandoc">Pandoc</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/premessa.html#siti-statici">Siti statici</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pagine/premessa.html#sphinx">Sphinx</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pagine/installazione.html">Installazione di Spinx</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pagine/installazione.html#installazione">Installazione</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/installazione.html#il-primo-progetto">Il primo progetto</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/installazione.html#markdown-e-pandoc">Markdown e Pandoc</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/installazione.html#la-prima-pagina">La prima pagina</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/installazione.html#la-documentazione-di-sphinx">La documentazione di Sphinx</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pagine/scrivere.html">Scrivere la documentazione</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pagine/scrivere.html#qualche-cenno-di-restructuredtext">Qualche cenno di RestructuredText</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#commenti">Commenti</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#intestazioni">Intestazioni</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#paragrafi">Paragrafi</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#elementi-tipografici">Elementi tipografici</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#liste">Liste</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#tabelle">Tabelle</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#links">Links</a></li>
<li class="toctree-l3"><a class="reference internal" href="pagine/scrivere.html#blocchi-di-codice">Blocchi di codice</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pagine/scrivere.html#la-struttura-del-progetto">La struttura del progetto</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/scrivere.html#roles-directives-domains">Roles, Directives, Domains</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html">MarkDown</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html#configurazione">Configurazione</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pagine/configurazione.html#il-file-conf-py">Il file conf.py</a></li>
<li class="toctree-l2"><a class="reference internal" href="pagine/configurazione.html#il-tema-html">il tema html</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html#documentazione-di-python">Documentazione di Python</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html#estensioni-di-sphinx">Estensioni di Sphinx</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/glossario.html">Glossario</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/risorse.html">Risorse</a></li>
</ul>
</div>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Indice</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Cerca</span></a></p></li>
</ul>
</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">Introduzione a Sphinx</a></h1>








<h3>Navigazione</h3>
<p class="caption"><span class="caption-text">Contenuto:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="pagine/premessa.html">Premessa</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/installazione.html">Installazione di Spinx</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/scrivere.html">Scrivere la documentazione</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html">MarkDown</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html#configurazione">Configurazione</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html#documentazione-di-python">Documentazione di Python</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/configurazione.html#estensioni-di-sphinx">Estensioni di Sphinx</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/glossario.html">Glossario</a></li>
<li class="toctree-l1"><a class="reference internal" href="pagine/risorse.html">Risorse</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="pagine/premessa.html" title="capitolo successivo">Premessa</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Ricerca veloce</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Vai" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2020, Claudio Driussi.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 3.0.1</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>